Summary: JX is a C++ application framework for X Windows.
Name: JX
Version: 1.0.5
Release: 1
ExclusiveArch: i386
ExclusiveOS: Linux
Copyright: SYPP License - Free for non-commercial use.
Group: X11/Libraries
Source: JX-1.0.5.tar.gz

%description
JX is a full-featured C++ application framework and GUI class library \
for X Windows.  (http://www.cco.caltech.edu/~jafl/jx/)

%prep
%setup 

%install
mkdir /usr/doc/JX-1.0.5

cp jlib/lib/libjcore.a                   /usr/lib
cp -d jlib/lib/libjcore.so               /usr/lib
cp -d jlib/lib/libjcore.so.1             /usr/lib
install -m755 jlib/lib/libjcore.so.1.0.5 /usr/lib

mkdir /usr/include/jcore
cp jlib/lib/README.libjcore /usr/doc/JX-1.0.5
cp jlib/doc/jcore_1.0.0.ps  /usr/doc/JX-1.0.5
cp jlib/doc/jcore_1.0.0.txt /usr/doc/JX-1.0.5
cp jlib/jcore/*             /usr/include/jcore

cp jlib/lib/libjx.a                   /usr/lib
cp -d jlib/lib/libjx.so               /usr/lib
cp -d jlib/lib/libjx.so.1             /usr/lib
install -m755 jlib/lib/libjx.so.1.0.5 /usr/lib

mkdir /usr/include/jx
cp jlib/lib/README.libjx /usr/doc/JX-1.0.5
cp jlib/doc/jx_1.0.0.ps  /usr/doc/JX-1.0.5
cp jlib/doc/jx_1.0.0.txt /usr/doc/JX-1.0.5
cp jlib/jx/*             /usr/include/jx

cp LICENSE /usr/doc/JX-1.0.5
cp README  /usr/doc/JX-1.0.5

cp makemake/README /usr/doc/JX-1.0.5/README.makemake
install -m755 makemake/makemake  /usr/bin
install -m755 makemake/makecheck /usr/bin
install -m755 makemake/maketouch /usr/bin
install -m755 makemake/touchall  /usr/bin

cp jxlayout/README /usr/doc/JX-1.0.5/README.jxlayout
install -m755 jxlayout/fdesign  /usr/X11/bin
install -m755 jxlayout/jfdesign /usr/X11/bin
install -m755 jxlayout/jxlayout /usr/X11/bin

mkdir /usr/lib/jx
cp jxlayout/jxlayout.* /usr/lib/jx

cp -r tutorialjx /usr/lib/jx
cp -r testjcore  /usr/lib/jx
cp -r testjx     /usr/lib/jx

mkdir /usr/doc/JX-1.0.5/jcore
mkdir /usr/doc/JX-1.0.5/jx
cp jlib/doc/jcore/* /usr/doc/JX-1.0.5/jcore
cp jlib/doc/jx/*    /usr/doc/JX-1.0.5/jx

mkdir /usr/lib/jx/sample_source
cp jlib/lib/source/* /usr/lib/jx/sample_source

mkdir /usr/lib/jx/jlib
mkdir /usr/lib/jx/jlib/lib
cp jlib/lib/Make.config /usr/lib/jx/jlib/lib/Make.config

%post
ldconfig

%files

%dir /usr/include/jcore
%dir /usr/include/jx
%dir /usr/lib/jx
%dir /usr/lib/jx/testjcore
%dir /usr/lib/jx/testjcore/code
%dir /usr/lib/jx/testjx
%dir /usr/lib/jx/testjx/code
%dir /usr/lib/jx/tutorialjx
%dir /usr/lib/jx/sample_source
%dir /usr/lib/jx/jlib
%dir /usr/lib/jx/jlib/lib
%dir /usr/doc/JX-1.0.5
%dir /usr/doc/JX-1.0.5/jcore
%dir /usr/doc/JX-1.0.5/jx

/usr/bin/makemake
/usr/bin/makecheck
/usr/bin/maketouch
/usr/bin/touchall

/usr/X11/bin/fdesign
/usr/X11/bin/jfdesign
/usr/X11/bin/jxlayout

/usr/lib/jx/jxlayout.class.map
/usr/lib/jx/jxlayout.option.map
/usr/lib/jx/jxlayout.needfont.list

/usr/lib/libjcore.a
/usr/lib/libjcore.so
/usr/lib/libjcore.so.1
/usr/lib/libjcore.so.1.0.5
/usr/lib/libjx.a
/usr/lib/libjx.so
/usr/lib/libjx.so.1
/usr/lib/libjx.so.1.0.5

/usr/lib/jx/jlib/lib/Make.config

/usr/doc/JX-1.0.5/README
/usr/doc/JX-1.0.5/LICENSE
/usr/doc/JX-1.0.5/README.makemake
/usr/doc/JX-1.0.5/README.jxlayout
/usr/doc/JX-1.0.5/README.libjcore
/usr/doc/JX-1.0.5/README.libjx
/usr/doc/JX-1.0.5/jcore_1.0.0.ps
/usr/doc/JX-1.0.5/jcore_1.0.0.txt
/usr/doc/JX-1.0.5/jx_1.0.0.ps
/usr/doc/JX-1.0.5/jx_1.0.0.txt

/usr/include/jcore/ElementInfo.h
/usr/include/jcore/JArray.h
/usr/include/jcore/JAuxTableData.h
/usr/include/jcore/JBinIndex.h
/usr/include/jcore/JBoolean.h
/usr/include/jcore/JBroadcastSnooper.h
/usr/include/jcore/JBroadcaster.h
/usr/include/jcore/JCharacter.h
/usr/include/jcore/JChooseSaveFile.h
/usr/include/jcore/JCollection.h
/usr/include/jcore/JColorIndex.h
/usr/include/jcore/JConstBitmap.h
/usr/include/jcore/JContainer.h
/usr/include/jcore/JCoordinate.h
/usr/include/jcore/JCoreLibVersion.h
/usr/include/jcore/JCreateProgressDisplay.h
/usr/include/jcore/JCreateTextPG.h
/usr/include/jcore/JFAElementID.h
/usr/include/jcore/JFAElementIndex.h
/usr/include/jcore/JFileArray.h
/usr/include/jcore/JFileArrayIndex.h
/usr/include/jcore/JFileVersion.h
/usr/include/jcore/JFloat.h
/usr/include/jcore/JFloatBufferTableData.h
/usr/include/jcore/JFloatTableData.h
/usr/include/jcore/JFontManager.h
/usr/include/jcore/JFontStyle.h
/usr/include/jcore/JGetCurrFontMgr.h
/usr/include/jcore/JImage.h
/usr/include/jcore/JImageMask.h
/usr/include/jcore/JIndex.h
/usr/include/jcore/JInputPipe.h
/usr/include/jcore/JInteger.h
/usr/include/jcore/JKLRand.h
/usr/include/jcore/JLinkedList.h
/usr/include/jcore/JLinkedListIterator.h
/usr/include/jcore/JMatrix.h
/usr/include/jcore/JMinMax.h
/usr/include/jcore/JNoFontMgr.h
/usr/include/jcore/JObjTableData.h
/usr/include/jcore/JOrderedSet.h
/usr/include/jcore/JOrderedSetIterator.h
/usr/include/jcore/JPoint.h
/usr/include/jcore/JOrderedSetUtil.h
/usr/include/jcore/JOutputPipe.h
/usr/include/jcore/JPSPrinter.h
/usr/include/jcore/JPainter.h
/usr/include/jcore/JPartition.h
/usr/include/jcore/JPolygon.h
/usr/include/jcore/JPrefsFile.h
/usr/include/jcore/JPrinter.h
/usr/include/jcore/JProgressDisplay.h
/usr/include/jcore/JPtrArray.h
/usr/include/jcore/JPtrArrayIterator.h
/usr/include/jcore/JPtrQueue.h
/usr/include/jcore/JPtrStack.h
/usr/include/jcore/JQueue.h
/usr/include/jcore/JRect.h
/usr/include/jcore/JRunArray.h
/usr/include/jcore/JRunArrayIterator.h
/usr/include/jcore/JSignedIndex.h
/usr/include/jcore/JSignedOffset.h
/usr/include/jcore/JSize.h
/usr/include/jcore/JSliderBase.h
/usr/include/jcore/JStack.h
/usr/include/jcore/JStaticBuffer.h
/usr/include/jcore/JStopWatch.h
/usr/include/jcore/JString.h
/usr/include/jcore/JStringTableData.h
/usr/include/jcore/JSubset.h
/usr/include/jcore/JTESetFontTmpl.h
/usr/include/jcore/JTEUndoBase.h
/usr/include/jcore/JTEUndoDrop.h
/usr/include/jcore/JTEUndoPaste.h
/usr/include/jcore/JTEUndoStyle.h
/usr/include/jcore/JTEUndoTabShift.h
/usr/include/jcore/JTEUndoTextBase.h
/usr/include/jcore/JTEUndoTyping.h
/usr/include/jcore/JTable.h
/usr/include/jcore/JTableData.h
/usr/include/jcore/JTextChooseSaveFile.h
/usr/include/jcore/JTextEditor.h
/usr/include/jcore/JTextProgressDisplay.h
/usr/include/jcore/JTextUserNotification.h
/usr/include/jcore/JUNIXDirEntry.h
/usr/include/jcore/JUNIXDirInfo.h
/usr/include/jcore/JUNIXPrefsFile.h
/usr/include/jcore/JUndo.h
/usr/include/jcore/JUnsignedOffset.h
/usr/include/jcore/JUserNotification.h
/usr/include/jcore/JValueTableData.h
/usr/include/jcore/JVector.h
/usr/include/jcore/instantiate_template.h
/usr/include/jcore/jASCIIConstants.h
/usr/include/jcore/jCommandLine.h
/usr/include/jcore/jGetRandomSample.h
/usr/include/jcore/jMissingProto.h
/usr/include/jcore/jNULL.h
/usr/include/jcore/jNumericConstants.h
/usr/include/jcore/jRand.h
/usr/include/jcore/jassert.h
/usr/include/jcore/jdirUtil.h
/usr/include/jcore/jerrno.h
/usr/include/jcore/jfileUtil.h
/usr/include/jcore/jfstreamOpenModes.h
/usr/include/jcore/jfstreamUtil.h
/usr/include/jcore/jmath.h
/usr/include/jcore/jmemory.h
/usr/include/jcore/jrandom.h
/usr/include/jcore/jsignal.h
/usr/include/jcore/jstreamUtil.h
/usr/include/jcore/jstrstreamUtil.h
/usr/include/jcore/jtime.h
/usr/include/jcore/JArray.tmpl
/usr/include/jcore/JAuxTableData.tmpl
/usr/include/jcore/JLinkedList.tmpl
/usr/include/jcore/JLinkedListIterator.tmpl
/usr/include/jcore/JMinMax.tmpl
/usr/include/jcore/JObjTableData.tmpl
/usr/include/jcore/JOrderedSet.tmpl
/usr/include/jcore/JOrderedSetIterator.tmpl
/usr/include/jcore/JPtrArray.tmpl
/usr/include/jcore/JPtrArrayIterator.tmpl
/usr/include/jcore/JPtrQueue.tmpl
/usr/include/jcore/JPtrStack.tmpl
/usr/include/jcore/JQueue.tmpl
/usr/include/jcore/JRunArray.tmpl
/usr/include/jcore/JRunArrayIterator.tmpl
/usr/include/jcore/JStack.tmpl
/usr/include/jcore/JValueTableData.tmpl
/usr/include/jcore/JArray.tmpls
/usr/include/jcore/JAuxTableData.tmpls
/usr/include/jcore/JBinaryDecision.tmpls
/usr/include/jcore/JLinkedList.tmpls
/usr/include/jcore/JMinMax.tmpls
/usr/include/jcore/JObjTableData.tmpls
/usr/include/jcore/JPtrArray.tmpls
/usr/include/jcore/JPtrArray2.tmpls
/usr/include/jcore/JPtrQueue.tmpls
/usr/include/jcore/JPtrStack.tmpls
/usr/include/jcore/JQueue.tmpls
/usr/include/jcore/JRunArray.tmpls
/usr/include/jcore/JSortablePtrArray.tmpls
/usr/include/jcore/JStack.tmpls
/usr/include/jcore/JValueTableData.tmpls
/usr/include/jx/JXAdjustIWBoundsTask.h
/usr/include/jx/JXAdjustScrollbarTask.h
/usr/include/jx/JXApplication.h
/usr/include/jx/JXButton.h
/usr/include/jx/JXButtonStates.h
/usr/include/jx/JXCEGoToLineDialog.h
/usr/include/jx/JXCEPrintDialog.h
/usr/include/jx/JXCSFDialogBase.h
/usr/include/jx/JXCSFIcons.h
/usr/include/jx/JXCSFSelectPrevDirTask.h
/usr/include/jx/JXCheckbox.h
/usr/include/jx/JXChooseFileDialog.h
/usr/include/jx/JXChooseFontSizeDialog.h
/usr/include/jx/JXChoosePathDialog.h
/usr/include/jx/JXChooseSaveFile.h
/usr/include/jx/JXCodeEditor.h
/usr/include/jx/JXCodeEditorSet.h
/usr/include/jx/JXColHeaderWidget.h
/usr/include/jx/JXColormap.h
/usr/include/jx/JXContainer.h
/usr/include/jx/JXCreatePG.h
/usr/include/jx/JXCursor.h
/usr/include/jx/JXCursorAnimationTask.h
/usr/include/jx/JXCursorAnimator.h
/usr/include/jx/JXDecorRect.h
/usr/include/jx/JXDialogDirector.h
/usr/include/jx/JXDirector.h
/usr/include/jx/JXDisplay.h
/usr/include/jx/JXDisplayMenu.h
/usr/include/jx/JXDocument.h
/usr/include/jx/JXDocumentMenu.h
/usr/include/jx/JXDownRect.h
/usr/include/jx/JXDragPainter.h
/usr/include/jx/JXDynamicColorInfo.h
/usr/include/jx/JXEditTable.h
/usr/include/jx/JXEmbossedRect.h
/usr/include/jx/JXEngravedRect.h
/usr/include/jx/JXErrorDialog.h
/usr/include/jx/JXFileDocument.h
/usr/include/jx/JXFlatRect.h
/usr/include/jx/JXFixLenPGDirector.h
/usr/include/jx/JXFloatInput.h
/usr/include/jx/JXFloatTable.h
/usr/include/jx/JXFloatTableInput.h
/usr/include/jx/JXFontManager.h
/usr/include/jx/JXFontNameMenu.h
/usr/include/jx/JXFontSizeMenu.h
/usr/include/jx/JXFontStyle.h
/usr/include/jx/JXGC.h
/usr/include/jx/JXGetCurrFontMgr.h
/usr/include/jx/JXGetNewDirDialog.h
/usr/include/jx/JXHelpDirector.h
/usr/include/jx/JXHorizPartition.h
/usr/include/jx/JXIconMenu.h
/usr/include/jx/JXIconMenuData.h
/usr/include/jx/JXIconMenuDirector.h
/usr/include/jx/JXIconMenuTable.h
/usr/include/jx/JXIdleTask.h
/usr/include/jx/JXImage.h
/usr/include/jx/JXImageButton.h
/usr/include/jx/JXImageCheckbox.h
/usr/include/jx/JXImageMask.h
/usr/include/jx/JXImagePainter.h
/usr/include/jx/JXImageRadioButton.h
/usr/include/jx/JXImageWidget.h
/usr/include/jx/JXInputField.h
/usr/include/jx/JXIntegerInput.h
/usr/include/jx/JXIntegerTableInput.h
/usr/include/jx/JXKeyModifiers.h
/usr/include/jx/JXLevelControl.h
/usr/include/jx/JXLibVersion.h
/usr/include/jx/JXMTUpdateTask.h
/usr/include/jx/JXMenu.h
/usr/include/jx/JXMenuBar.h
/usr/include/jx/JXMenuData.h
/usr/include/jx/JXMenuDirector.h
/usr/include/jx/JXMenuManager.h
/usr/include/jx/JXMenuTable.h
/usr/include/jx/JXMessageDialog.h
/usr/include/jx/JXNewDisplayDialog.h
/usr/include/jx/JXOKToCloseDialog.h
/usr/include/jx/JXPrinter.h
/usr/include/jx/JXPGMessageDirector.h
/usr/include/jx/JXPageSetupDialog.h
/usr/include/jx/JXPartition.h
/usr/include/jx/JXPathInput.h
/usr/include/jx/JXPrintSetupDialog.h
/usr/include/jx/JXProgressDisplay.h
/usr/include/jx/JXProgressIndicator.h
/usr/include/jx/JXRadioButton.h
/usr/include/jx/JXRadioGroup.h
/usr/include/jx/JXRowHeaderWidget.h
/usr/include/jx/JXSaveFileDialog.h
/usr/include/jx/JXScrollableWidget.h
/usr/include/jx/JXScrollbar.h
/usr/include/jx/JXScrollbarSet.h
/usr/include/jx/JXSelectionManager.h
/usr/include/jx/JXSlider.h
/usr/include/jx/JXSliderBase.h
/usr/include/jx/JXStandAlonePG.h
/usr/include/jx/JXStaticText.h
/usr/include/jx/JXStringInput.h
/usr/include/jx/JXStringList.h
/usr/include/jx/JXStringTable.h
/usr/include/jx/JXStringTableInput.h
/usr/include/jx/JXTEBase.h
/usr/include/jx/JXTEStyleMenu.h
/usr/include/jx/JXTEStyleMenuDirector.h
/usr/include/jx/JXTEStyleMenuTable.h
/usr/include/jx/JXTMSetNMShortcutTmpl.h
/usr/include/jx/JXTable.h
/usr/include/jx/JXTableInputHandleKeyPress.h
/usr/include/jx/JXTextButton.h
/usr/include/jx/JXTextCheckbox.h
/usr/include/jx/JXTextEditor.h
/usr/include/jx/JXTextEditorSet.h
/usr/include/jx/JXTextMenu.h
/usr/include/jx/JXTextMenuData.h
/usr/include/jx/JXTextMenuDirector.h
/usr/include/jx/JXTextMenuTable.h
/usr/include/jx/JXTextRadioButton.h
/usr/include/jx/JXUNIXDirTable.h
/usr/include/jx/JXUNIXDirUpdateTask.h
/usr/include/jx/JXUpRect.h
/usr/include/jx/JXUpdateDocMenuTask.h
/usr/include/jx/JXUpdateShortcutIndexTmpl.h
/usr/include/jx/JXUpdateStringListWidth.h
/usr/include/jx/JXUrgentTask.h
/usr/include/jx/JXUserNotification.h
/usr/include/jx/JXUserNotificationIcons.h
/usr/include/jx/JXVarLenPGDirector.h
/usr/include/jx/JXVertPartition.h
/usr/include/jx/JXWarningDialog.h
/usr/include/jx/JXWidget.h
/usr/include/jx/JXWidgetSet.h
/usr/include/jx/JXWindow.h
/usr/include/jx/JXWindowDirector.h
/usr/include/jx/JXWindowPainter.h
/usr/include/jx/JXXFontMenu.h
/usr/include/jx/jXBeachBallCursor.h
/usr/include/jx/jXColors.h
/usr/include/jx/jXConstants.h
/usr/include/jx/jXDragLineCursors.h
/usr/include/jx/jXEventUtil.h
/usr/include/jx/jXPainterUtil.h
/usr/include/jx/jXUtil.h

/usr/lib/jx/testjcore/Make.header
/usr/lib/jx/testjcore/Make.files
/usr/lib/jx/testjcore/code/Everything-long.cc
/usr/lib/jx/testjcore/code/JFHT-JString.cc
/usr/lib/jx/testjcore/code/test.FileExists.cc
/usr/lib/jx/testjcore/code/test.JArray.cc
/usr/lib/jx/testjcore/code/test.JBoolean.cc
/usr/lib/jx/testjcore/code/test.JFileArray.cc
/usr/lib/jx/testjcore/code/test.JInputPipe.cc
/usr/lib/jx/testjcore/code/test.JLinkedList.cc
/usr/lib/jx/testjcore/code/test.JMatrix.cc
/usr/lib/jx/testjcore/code/test.JPrefsFile.cc
/usr/lib/jx/testjcore/code/test.JPtrArray.cc
/usr/lib/jx/testjcore/code/test.JQueue.cc
/usr/lib/jx/testjcore/code/test.JRunArray.cc
/usr/lib/jx/testjcore/code/test.JStack.cc
/usr/lib/jx/testjcore/code/test.JString.cc
/usr/lib/jx/testjcore/code/test.JSubset.cc
/usr/lib/jx/testjcore/code/test.JTextChooseSaveFile.cc
/usr/lib/jx/testjcore/code/test.JTextProgressDisplay.cc
/usr/lib/jx/testjcore/code/test.JTextUserNotification.cc
/usr/lib/jx/testjcore/code/test.JVector.cc
/usr/lib/jx/testjcore/code/test.jfstreamUtil_sys.cc
/usr/lib/jx/testjcore/code/test.jrandom.cc
/usr/lib/jx/testjcore/code/test.seek.1.cc
/usr/lib/jx/testjcore/code/test.seek.2.cc
/usr/lib/jx/testjcore/code/test.JString.dat

/usr/lib/jx/testjx/Make.header
/usr/lib/jx/testjx/Make.files
/usr/lib/jx/testjx/README
/usr/lib/jx/testjx/testjx.fd
/usr/lib/jx/testjx/about_owner_docs
/usr/lib/jx/testjx/about_owned_docs
/usr/lib/jx/testjx/code/AboutDialog.cc
/usr/lib/jx/testjx/code/AnimateColorTask.cc
/usr/lib/jx/testjx/code/AnimateHelpMenuTask.cc
/usr/lib/jx/testjx/code/AnimateWindowIconTask.cc
/usr/lib/jx/testjx/code/HelpMenuBitmaps.cc
/usr/lib/jx/testjx/code/ResizeWidgetDialog.cc
/usr/lib/jx/testjx/code/SetElasticDialog.cc
/usr/lib/jx/testjx/code/SmileyBitmaps.cc
/usr/lib/jx/testjx/code/TestButtonsDialog.cc
/usr/lib/jx/testjx/code/TestChooseSaveFile.cc
/usr/lib/jx/testjx/code/TestCompartment.cc
/usr/lib/jx/testjx/code/TestDirector.cc
/usr/lib/jx/testjx/code/TestFloatTable.cc
/usr/lib/jx/testjx/code/TestFloatTableDirector.cc
/usr/lib/jx/testjx/code/TestInputFieldsDialog.cc
/usr/lib/jx/testjx/code/TestLinkedDocument.cc
/usr/lib/jx/testjx/code/TestPGTask.cc
/usr/lib/jx/testjx/code/TestPartitionDirector.cc
/usr/lib/jx/testjx/code/TestPopupChoiceDialog.cc
/usr/lib/jx/testjx/code/TestSaveFileDialog.cc
/usr/lib/jx/testjx/code/TestSliderDirector.cc
/usr/lib/jx/testjx/code/TestStrTableDirector.cc
/usr/lib/jx/testjx/code/TestStringTable.cc
/usr/lib/jx/testjx/code/TestTextEditDocument.cc
/usr/lib/jx/testjx/code/TestWidget.cc
/usr/lib/jx/testjx/code/WindowIconBitmaps.cc
/usr/lib/jx/testjx/code/testjx.cc
/usr/lib/jx/testjx/code/AboutDialog.h
/usr/lib/jx/testjx/code/AnimateColorTask.h
/usr/lib/jx/testjx/code/AnimateHelpMenuTask.h
/usr/lib/jx/testjx/code/AnimateWindowIconTask.h
/usr/lib/jx/testjx/code/HelpMenuBitmaps.h
/usr/lib/jx/testjx/code/ResizeWidgetDialog.h
/usr/lib/jx/testjx/code/SetElasticDialog.h
/usr/lib/jx/testjx/code/SmileyBitmaps.h
/usr/lib/jx/testjx/code/TestButtonBitmaps.h
/usr/lib/jx/testjx/code/TestButtonsDialog.h
/usr/lib/jx/testjx/code/TestChooseSaveFile.h
/usr/lib/jx/testjx/code/TestCompartment.h
/usr/lib/jx/testjx/code/TestDirector.h
/usr/lib/jx/testjx/code/TestFloatTable.h
/usr/lib/jx/testjx/code/TestFloatTableDirector.h
/usr/lib/jx/testjx/code/TestInputFieldsDialog.h
/usr/lib/jx/testjx/code/TestLinkedDocument.h
/usr/lib/jx/testjx/code/TestPGTask.h
/usr/lib/jx/testjx/code/TestPartitionDirector.h
/usr/lib/jx/testjx/code/TestPopupChoiceDialog.h
/usr/lib/jx/testjx/code/TestSaveFileDialog.h
/usr/lib/jx/testjx/code/TestSliderDirector.h
/usr/lib/jx/testjx/code/TestStrTableDirector.h
/usr/lib/jx/testjx/code/TestStringTable.h
/usr/lib/jx/testjx/code/TestTextEditDocument.h
/usr/lib/jx/testjx/code/TestWidget.h
/usr/lib/jx/testjx/code/WindowIconBitmaps.h

%dir /usr/lib/jx/tutorialjx/2-MenuHello/
/usr/lib/jx/tutorialjx/2-MenuHello/MenuHelloDir.cc
/usr/lib/jx/tutorialjx/2-MenuHello/MenuHelloDir.h
/usr/lib/jx/tutorialjx/2-MenuHello/menu_hello.cc
%dir /usr/lib/jx/tutorialjx/4-Widget/
/usr/lib/jx/tutorialjx/4-Widget/Widget.h
/usr/lib/jx/tutorialjx/4-Widget/WidgetDir.cc
/usr/lib/jx/tutorialjx/4-Widget/WidgetDir.h
/usr/lib/jx/tutorialjx/4-Widget/widget_main.cc
/usr/lib/jx/tutorialjx/4-Widget/Widget.cc
%dir /usr/lib/jx/tutorialjx/5-Scrolling/
/usr/lib/jx/tutorialjx/5-Scrolling/scrolling.cc
/usr/lib/jx/tutorialjx/5-Scrolling/ScrollingWidget.h
/usr/lib/jx/tutorialjx/5-Scrolling/ScrollingWidgetDir.h
/usr/lib/jx/tutorialjx/5-Scrolling/ScrollingWidget.cc
/usr/lib/jx/tutorialjx/5-Scrolling/ScrollingWidgetDir.cc
%dir /usr/lib/jx/tutorialjx/6-DragPainter/
/usr/lib/jx/tutorialjx/6-DragPainter/DragWidget.cc
/usr/lib/jx/tutorialjx/6-DragPainter/DragWidget.h
/usr/lib/jx/tutorialjx/6-DragPainter/DragWidgetDir.cc
/usr/lib/jx/tutorialjx/6-DragPainter/DragWidgetDir.h
/usr/lib/jx/tutorialjx/6-DragPainter/drag_painter.cc
%dir /usr/lib/jx/tutorialjx/7-Printing/
/usr/lib/jx/tutorialjx/7-Printing/PrintWidget.cc
/usr/lib/jx/tutorialjx/7-Printing/PrintWidget.h
/usr/lib/jx/tutorialjx/7-Printing/PrintWidgetDir.cc
/usr/lib/jx/tutorialjx/7-Printing/PrintWidgetDir.h
/usr/lib/jx/tutorialjx/7-Printing/printing.cc
/usr/lib/jx/tutorialjx/README
/usr/lib/jx/tutorialjx/Make.header
/usr/lib/jx/tutorialjx/Make.files
%dir /usr/lib/jx/tutorialjx/1-HelloWorld/
/usr/lib/jx/tutorialjx/1-HelloWorld/hello_world.cc
/usr/lib/jx/tutorialjx/1-HelloWorld/HelloWorldDir.cc
/usr/lib/jx/tutorialjx/1-HelloWorld/HelloWorldDir.h
/usr/lib/jx/tutorialjx/.gxfm.Desktop
%dir /usr/lib/jx/tutorialjx/3-DialogHello/
/usr/lib/jx/tutorialjx/3-DialogHello/DialogHelloDir.cc
/usr/lib/jx/tutorialjx/3-DialogHello/DialogHelloDir.h
/usr/lib/jx/tutorialjx/3-DialogHello/dialog_hello.cc
/usr/lib/jx/tutorialjx/3-DialogHello/DHStringInputDialog.h
/usr/lib/jx/tutorialjx/3-DialogHello/DHStringInputDialog.cc

/usr/lib/jx/sample_source/JBroadcastSnooper.cc
/usr/lib/jx/sample_source/JFloatBufferTableData.cc
/usr/lib/jx/sample_source/JFloatTableData.cc
/usr/lib/jx/sample_source/JStringTableData.cc
/usr/lib/jx/sample_source/JXCore.fd
/usr/lib/jx/sample_source/JXFloatTable.cc
/usr/lib/jx/sample_source/JXFontNameMenu.cc
/usr/lib/jx/sample_source/JXFontSizeMenu.cc
/usr/lib/jx/sample_source/JXIconMenu.cc
/usr/lib/jx/sample_source/JXIconMenuData.cc
/usr/lib/jx/sample_source/JXIconMenuDirector.cc
/usr/lib/jx/sample_source/JXIconMenuTable.cc
/usr/lib/jx/sample_source/JXLevelControl.cc
/usr/lib/jx/sample_source/JXStringTable.cc
/usr/lib/jx/sample_source/JXTEStyleMenu.cc
/usr/lib/jx/sample_source/JXTEStyleMenuDirector.cc
/usr/lib/jx/sample_source/JXTEStyleMenuTable.cc
/usr/lib/jx/sample_source/JXTextMenu.cc
/usr/lib/jx/sample_source/JXTextMenuData.cc
/usr/lib/jx/sample_source/JXTextMenuDirector.cc
/usr/lib/jx/sample_source/JXTextMenuTable.cc
/usr/lib/jx/sample_source/README

/usr/doc/JX-1.0.5/jcore/JArray.doc
/usr/doc/JX-1.0.5/jcore/JAuxTableData.doc
/usr/doc/JX-1.0.5/jcore/JBooleanIO.doc
/usr/doc/JX-1.0.5/jcore/JBroadcastSnooper.doc
/usr/doc/JX-1.0.5/jcore/JBroadcaster.doc
/usr/doc/JX-1.0.5/jcore/JChooseSaveFile.doc
/usr/doc/JX-1.0.5/jcore/JCollection.doc
/usr/doc/JX-1.0.5/jcore/JContainer.doc
/usr/doc/JX-1.0.5/jcore/JCreateProgressDisplay.doc
/usr/doc/JX-1.0.5/jcore/JCreateTextPG.doc
/usr/doc/JX-1.0.5/jcore/JFileArray.doc
/usr/doc/JX-1.0.5/jcore/JFileArrayIndex.doc
/usr/doc/JX-1.0.5/jcore/JFloatBufferTableData.doc
/usr/doc/JX-1.0.5/jcore/JFloatTableData.doc
/usr/doc/JX-1.0.5/jcore/JFontManager.doc
/usr/doc/JX-1.0.5/jcore/JFontStyle.doc
/usr/doc/JX-1.0.5/jcore/JGetCurrFontMgr.doc
/usr/doc/JX-1.0.5/jcore/JImage.doc
/usr/doc/JX-1.0.5/jcore/JImageMask.doc
/usr/doc/JX-1.0.5/jcore/JInputPipe.doc
/usr/doc/JX-1.0.5/jcore/JKLRand.doc
/usr/doc/JX-1.0.5/jcore/JLinkedList.doc
/usr/doc/JX-1.0.5/jcore/JLinkedListIterator.doc
/usr/doc/JX-1.0.5/jcore/JMatrix.doc
/usr/doc/JX-1.0.5/jcore/JMinMax.doc
/usr/doc/JX-1.0.5/jcore/JNoFontMgr.doc
/usr/doc/JX-1.0.5/jcore/JObjTableData.doc
/usr/doc/JX-1.0.5/jcore/JOrderedSet.doc
/usr/doc/JX-1.0.5/jcore/JOrderedSetIterator.doc
/usr/doc/JX-1.0.5/jcore/JOrderedSetT.doc
/usr/doc/JX-1.0.5/jcore/JOrderedSetUtil.doc
/usr/doc/JX-1.0.5/jcore/JOutputPipe.doc
/usr/doc/JX-1.0.5/jcore/JPSPrinter.doc
/usr/doc/JX-1.0.5/jcore/JPainter.doc
/usr/doc/JX-1.0.5/jcore/JPartition.doc
/usr/doc/JX-1.0.5/jcore/JPoint.doc
/usr/doc/JX-1.0.5/jcore/JPrefsFile.doc
/usr/doc/JX-1.0.5/jcore/JPrinter.doc
/usr/doc/JX-1.0.5/jcore/JProgressDisplay.doc
/usr/doc/JX-1.0.5/jcore/JPtrArray.doc
/usr/doc/JX-1.0.5/jcore/JPtrArrayIterator.doc
/usr/doc/JX-1.0.5/jcore/JPtrQueue.doc
/usr/doc/JX-1.0.5/jcore/JPtrStack.doc
/usr/doc/JX-1.0.5/jcore/JQueue.doc
/usr/doc/JX-1.0.5/jcore/JRect.doc
/usr/doc/JX-1.0.5/jcore/JRunArray.doc
/usr/doc/JX-1.0.5/jcore/JRunArrayIterator.doc
/usr/doc/JX-1.0.5/jcore/JSliderBase.doc
/usr/doc/JX-1.0.5/jcore/JStack.doc
/usr/doc/JX-1.0.5/jcore/JStaticBuffer.doc
/usr/doc/JX-1.0.5/jcore/JStopWatch.doc
/usr/doc/JX-1.0.5/jcore/JString.doc
/usr/doc/JX-1.0.5/jcore/JStringTableData.doc
/usr/doc/JX-1.0.5/jcore/JSubset.doc
/usr/doc/JX-1.0.5/jcore/JTEUndoBase.doc
/usr/doc/JX-1.0.5/jcore/JTEUndoDrop.doc
/usr/doc/JX-1.0.5/jcore/JTEUndoPaste.doc
/usr/doc/JX-1.0.5/jcore/JTEUndoStyle.doc
/usr/doc/JX-1.0.5/jcore/JTEUndoTabShift.doc
/usr/doc/JX-1.0.5/jcore/JTEUndoTextBase.doc
/usr/doc/JX-1.0.5/jcore/JTEUndoTyping.doc
/usr/doc/JX-1.0.5/jcore/JTable.doc
/usr/doc/JX-1.0.5/jcore/JTableData.doc
/usr/doc/JX-1.0.5/jcore/JTextChooseSaveFile.doc
/usr/doc/JX-1.0.5/jcore/JTextEditor.doc
/usr/doc/JX-1.0.5/jcore/JTextProgressDisplay.doc
/usr/doc/JX-1.0.5/jcore/JTextUserNotification.doc
/usr/doc/JX-1.0.5/jcore/JUNIXDirEntry.doc
/usr/doc/JX-1.0.5/jcore/JUNIXDirInfo.doc
/usr/doc/JX-1.0.5/jcore/JUNIXPrefsFile.doc
/usr/doc/JX-1.0.5/jcore/JUndo.doc
/usr/doc/JX-1.0.5/jcore/JUserNotification.doc
/usr/doc/JX-1.0.5/jcore/JValueTableData.doc
/usr/doc/JX-1.0.5/jcore/JVector.doc
/usr/doc/JX-1.0.5/jcore/jCommandLine.doc
/usr/doc/JX-1.0.5/jcore/jGetRandomSample.doc
/usr/doc/JX-1.0.5/jcore/jRand.doc
/usr/doc/JX-1.0.5/jcore/jassert.doc
/usr/doc/JX-1.0.5/jcore/jdirUtil.doc
/usr/doc/JX-1.0.5/jcore/jmath.doc
/usr/doc/JX-1.0.5/jcore/jdirUtil_UNIX.doc
/usr/doc/JX-1.0.5/jcore/jfileUtil.doc
/usr/doc/JX-1.0.5/jcore/jfileUtil_UNIX.doc
/usr/doc/JX-1.0.5/jcore/jfstreamUtil.doc
/usr/doc/JX-1.0.5/jcore/jfstreamUtil_UNIX.doc
/usr/doc/JX-1.0.5/jcore/jmemory.doc
/usr/doc/JX-1.0.5/jcore/jrandom.doc
/usr/doc/JX-1.0.5/jcore/jstreamUtil.doc
/usr/doc/JX-1.0.5/jcore/jstreamUtil_UNIX.doc
/usr/doc/JX-1.0.5/jcore/jstrstreamUtil.doc
/usr/doc/JX-1.0.5/jcore/jtime.doc
/usr/doc/JX-1.0.5/jx/JXAdjustIWBoundsTask.doc
/usr/doc/JX-1.0.5/jx/JXAdjustScrollbarTask.doc
/usr/doc/JX-1.0.5/jx/JXApplication.doc
/usr/doc/JX-1.0.5/jx/JXButton.doc
/usr/doc/JX-1.0.5/jx/JXButtonStates.doc
/usr/doc/JX-1.0.5/jx/JXCEGoToLineDialog.doc
/usr/doc/JX-1.0.5/jx/JXCEPrintDialog.doc
/usr/doc/JX-1.0.5/jx/JXCSFDialogBase.doc
/usr/doc/JX-1.0.5/jx/JXCSFIcons.doc
/usr/doc/JX-1.0.5/jx/JXCSFSelectPrevDirTask.doc
/usr/doc/JX-1.0.5/jx/JXCheckbox.doc
/usr/doc/JX-1.0.5/jx/JXChooseFileDialog.doc
/usr/doc/JX-1.0.5/jx/JXChooseFontSizeDialog.doc
/usr/doc/JX-1.0.5/jx/JXChoosePathDialog.doc
/usr/doc/JX-1.0.5/jx/JXChooseSaveFile.doc
/usr/doc/JX-1.0.5/jx/JXCodeEditor.doc
/usr/doc/JX-1.0.5/jx/JXCodeEditorSet.doc
/usr/doc/JX-1.0.5/jx/JXColHeaderWidget.doc
/usr/doc/JX-1.0.5/jx/JXColormap.doc
/usr/doc/JX-1.0.5/jx/JXContainer.doc
/usr/doc/JX-1.0.5/jx/JXCreatePG.doc
/usr/doc/JX-1.0.5/jx/JXCursor.doc
/usr/doc/JX-1.0.5/jx/JXCursorAnimationTask.doc
/usr/doc/JX-1.0.5/jx/JXCursorAnimator.doc
/usr/doc/JX-1.0.5/jx/JXDecorRect.doc
/usr/doc/JX-1.0.5/jx/JXDialogDirector.doc
/usr/doc/JX-1.0.5/jx/JXDirector.doc
/usr/doc/JX-1.0.5/jx/JXDisplay.doc
/usr/doc/JX-1.0.5/jx/JXDisplayMenu.doc
/usr/doc/JX-1.0.5/jx/JXDocument.doc
/usr/doc/JX-1.0.5/jx/JXDocumentMenu.doc
/usr/doc/JX-1.0.5/jx/JXDownRect.doc
/usr/doc/JX-1.0.5/jx/JXDragPainter.doc
/usr/doc/JX-1.0.5/jx/JXEditTable.doc
/usr/doc/JX-1.0.5/jx/JXEmbossedRect.doc
/usr/doc/JX-1.0.5/jx/JXEngravedRect.doc
/usr/doc/JX-1.0.5/jx/JXErrorDialog.doc
/usr/doc/JX-1.0.5/jx/JXFileDocument.doc
/usr/doc/JX-1.0.5/jx/JXFixLenPGDirector.doc
/usr/doc/JX-1.0.5/jx/JXFlatRect.doc
/usr/doc/JX-1.0.5/jx/JXFloatInput.doc
/usr/doc/JX-1.0.5/jx/JXFloatTable.doc
/usr/doc/JX-1.0.5/jx/JXFloatTableInput.doc
/usr/doc/JX-1.0.5/jx/JXFontManager.doc
/usr/doc/JX-1.0.5/jx/JXFontNameMenu.doc
/usr/doc/JX-1.0.5/jx/JXFontSizeMenu.doc
/usr/doc/JX-1.0.5/jx/JXFontStyle.doc
/usr/doc/JX-1.0.5/jx/JXGC.doc
/usr/doc/JX-1.0.5/jx/JXGetCurrFontMgr.doc
/usr/doc/JX-1.0.5/jx/JXGetNewDirDialog.doc
/usr/doc/JX-1.0.5/jx/JXHelpDirector.doc
/usr/doc/JX-1.0.5/jx/JXHorizPartition.doc
/usr/doc/JX-1.0.5/jx/JXIconMenu.doc
/usr/doc/JX-1.0.5/jx/JXIconMenuData.doc
/usr/doc/JX-1.0.5/jx/JXIconMenuDirector.doc
/usr/doc/JX-1.0.5/jx/JXIconMenuTable.doc
/usr/doc/JX-1.0.5/jx/JXIdleTask.doc
/usr/doc/JX-1.0.5/jx/JXImage.doc
/usr/doc/JX-1.0.5/jx/JXImageButton.doc
/usr/doc/JX-1.0.5/jx/JXImageCheckbox.doc
/usr/doc/JX-1.0.5/jx/JXImageMask.doc
/usr/doc/JX-1.0.5/jx/JXImagePainter.doc
/usr/doc/JX-1.0.5/jx/JXImageRadioButton.doc
/usr/doc/JX-1.0.5/jx/JXImageWidget.doc
/usr/doc/JX-1.0.5/jx/JXInputField.doc
/usr/doc/JX-1.0.5/jx/JXIntegerInput.doc
/usr/doc/JX-1.0.5/jx/JXIntegerTableInput.doc
/usr/doc/JX-1.0.5/jx/JXKeyModifiers.doc
/usr/doc/JX-1.0.5/jx/JXLevelControl.doc
/usr/doc/JX-1.0.5/jx/JXMTUpdateTask.doc
/usr/doc/JX-1.0.5/jx/JXMenu.doc
/usr/doc/JX-1.0.5/jx/JXMenuBar.doc
/usr/doc/JX-1.0.5/jx/JXMenuData.doc
/usr/doc/JX-1.0.5/jx/JXMenuDirector.doc
/usr/doc/JX-1.0.5/jx/JXMenuManager.doc
/usr/doc/JX-1.0.5/jx/JXMenuTable.doc
/usr/doc/JX-1.0.5/jx/JXMessageDialog.doc
/usr/doc/JX-1.0.5/jx/JXNewDisplayDialog.doc
/usr/doc/JX-1.0.5/jx/JXOKToCloseDialog.doc
/usr/doc/JX-1.0.5/jx/JXPGMessageDirector.doc
/usr/doc/JX-1.0.5/jx/JXPageSetupDialog.doc
/usr/doc/JX-1.0.5/jx/JXPartition.doc
/usr/doc/JX-1.0.5/jx/JXPathInput.doc
/usr/doc/JX-1.0.5/jx/JXPrintSetupDialog.doc
/usr/doc/JX-1.0.5/jx/JXPrinter.doc
/usr/doc/JX-1.0.5/jx/JXProgressDisplay.doc
/usr/doc/JX-1.0.5/jx/JXProgressIndicator.doc
/usr/doc/JX-1.0.5/jx/JXRadioButton.doc
/usr/doc/JX-1.0.5/jx/JXRadioGroup.doc
/usr/doc/JX-1.0.5/jx/JXRowHeaderWidget.doc
/usr/doc/JX-1.0.5/jx/JXSaveFileDialog.doc
/usr/doc/JX-1.0.5/jx/JXScrollableWidget.doc
/usr/doc/JX-1.0.5/jx/JXScrollbar.doc
/usr/doc/JX-1.0.5/jx/JXScrollbarSet.doc
/usr/doc/JX-1.0.5/jx/JXSelectionManager.doc
/usr/doc/JX-1.0.5/jx/JXSlider.doc
/usr/doc/JX-1.0.5/jx/JXSliderBase.doc
/usr/doc/JX-1.0.5/jx/JXStandAlonePG.doc
/usr/doc/JX-1.0.5/jx/JXStaticText.doc
/usr/doc/JX-1.0.5/jx/JXStringInput.doc
/usr/doc/JX-1.0.5/jx/JXStringList.doc
/usr/doc/JX-1.0.5/jx/JXStringTable.doc
/usr/doc/JX-1.0.5/jx/JXStringTableInput.doc
/usr/doc/JX-1.0.5/jx/JXTEBase.doc
/usr/doc/JX-1.0.5/jx/JXTEStyleMenu.doc
/usr/doc/JX-1.0.5/jx/JXTEStyleMenuDirector.doc
/usr/doc/JX-1.0.5/jx/JXTEStyleMenuTable.doc
/usr/doc/JX-1.0.5/jx/JXTable.doc
/usr/doc/JX-1.0.5/jx/JXTextButton.doc
/usr/doc/JX-1.0.5/jx/JXTextCheckbox.doc
/usr/doc/JX-1.0.5/jx/JXTextEditor.doc
/usr/doc/JX-1.0.5/jx/JXTextEditorSet.doc
/usr/doc/JX-1.0.5/jx/JXTextMenu.doc
/usr/doc/JX-1.0.5/jx/JXTextMenuData.doc
/usr/doc/JX-1.0.5/jx/JXTextMenuDirector.doc
/usr/doc/JX-1.0.5/jx/JXTextMenuTable.doc
/usr/doc/JX-1.0.5/jx/JXTextRadioButton.doc
/usr/doc/JX-1.0.5/jx/JXUNIXDirTable.doc
/usr/doc/JX-1.0.5/jx/JXUNIXDirUpdateTask.doc
/usr/doc/JX-1.0.5/jx/JXUpRect.doc
/usr/doc/JX-1.0.5/jx/JXUpdateDocMenuTask.doc
/usr/doc/JX-1.0.5/jx/JXUpdateStringListWidth.doc
/usr/doc/JX-1.0.5/jx/JXUrgentTask.doc
/usr/doc/JX-1.0.5/jx/JXUserNotification.doc
/usr/doc/JX-1.0.5/jx/JXUserNotificationIcons.doc
/usr/doc/JX-1.0.5/jx/JXVarLenPGDirector.doc
/usr/doc/JX-1.0.5/jx/JXVertPartition.doc
/usr/doc/JX-1.0.5/jx/JXWarningDialog.doc
/usr/doc/JX-1.0.5/jx/JXWidget.doc
/usr/doc/JX-1.0.5/jx/JXWidgetSet.doc
/usr/doc/JX-1.0.5/jx/JXWindow.doc
/usr/doc/JX-1.0.5/jx/JXWindowDirector.doc
/usr/doc/JX-1.0.5/jx/JXWindowPainter.doc
/usr/doc/JX-1.0.5/jx/JXXFontMenu.doc
/usr/doc/JX-1.0.5/jx/jXEventUtil.doc
/usr/doc/JX-1.0.5/jx/jXPainterUtil.doc
/usr/doc/JX-1.0.5/jx/jXUtil.doc

